## kgoldrunner 18.12.3

=== debian/changelog ===
kgoldrunner (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:28:49 +0000

kgoldrunner (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:16:08 +0000

kgoldrunner (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:53 +0000

kgoldrunner (4:18.12.0-0ubuntu1) disco; urgency=medium

  * Install kgoldrunner.categories file.
  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:49:16 +0000

kgoldrunner (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3~
    - Bumped build deps.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 27 Dec 2018 14:12:15 +0000

=== debian/control ===
Source: kgoldrunner
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.30.0~),
               libkf5config-dev (>= 5.30.0~),
               libkf5configwidgets-dev (>= 5.30.0~),
               libkf5coreaddons-dev (>= 5.30.0~),
               libkf5crash-dev (>= 5.30.0~),
               libkf5dbusaddons-dev (>= 5.30.0~),
               libkf5doctools-dev (>= 5.30.0~),
               libkf5i18n-dev (>= 5.30.0~),
               libkf5kdegames-dev (>= 4:18.12.3~),
               libkf5kio-dev (>= 5.30.0~),
               libkf5xmlgui-dev (>= 5.30.0~),
               libphonon4qt5-dev,
               libqt5svg5-dev (>= 5.7.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: http://games.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgoldrunner
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgoldrunner

Package: kgoldrunner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: khelpcenter
Description: Lode Runner arcade game
 KGoldrunner is a fast-paced platform game where the player must navigate a
 maze while collecting gold nuggets and avoiding enemies.  A variety of level
 packs are included, as well as an editor to create new levels.
 .
 This package is part of the KDE games module.

=== debian/rules ===
#!/usr/bin/make -f
l10npkgs_firstversion_ok := 4:17.08.3~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBIN_INSTALL_DIR=/usr/games

## kgoldrunner 19.04.3

=== debian/changelog ===
kgoldrunner (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:14:27 +0100

kgoldrunner (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:06:05 +0100

kgoldrunner (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:16 +0100

kgoldrunner (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:43:46 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:18.12.3~),
+               libkf5kdegames-dev (>= 4:19.04.3~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                libphonon4qt5-dev,

## kgoldrunner 19.08.1

=== debian/changelog ===
kgoldrunner (4:19.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - add libkf5widgetsaddons-dev
    - remove libphonon4qt5-dev, libqt5svg5-dev, and qtdeclarative5-dev
    - explicitly add gettext
  * Drop the Debian man page, outdated, and providing no real value.
  * Switch cmake parameter BIN_INSTALL_DIR to KDE_INSTALL_BINDIR, as the former
    is deprecated.

 -- Pino Toscano <pino@debian.org>  Sun, 06 Oct 2019 12:01:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
            Eshat Cakar <info@eshat.de>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 2.8.12~),
+Build-Depends: cmake (>= 3.5.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.30.0~),
+               gettext,
                libkf5config-dev (>= 5.30.0~),
                libkf5configwidgets-dev (>= 5.30.0~),
                libkf5coreaddons-dev (>= 5.30.0~),
@@ -19,18 +20,16 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.04.3~),
+               libkf5kdegames-dev (>= 4.9.0~),
                libkf5kio-dev (>= 5.30.0~),
+               libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
-               libphonon4qt5-dev,
-               libqt5svg5-dev (>= 5.7.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.7.0~),
-               qtdeclarative5-dev (>= 5.7.0~),
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: http://games.kde.org/
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgoldrunner
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgoldrunner
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner.git
 
 Package: kgoldrunner
 Architecture: any

## kgoldrunner 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kgoldrunner VERSION ${KDE_APPLICATIONS_VERSION})

set (QT_MIN_VERSION "5.7.0")
set (KF5_MIN_VERSION "5.30.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    KIO
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include_directories(BEFORE ${PHONON_INCLUDES})

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x060000)
endif()

add_subdirectory(src)
add_subdirectory(gamedata)
add_subdirectory(themes)
add_subdirectory(doc)

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES kgoldrunner.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES kgoldrunner.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== doc/CMakeLists.txt ===
########### install files ###############
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kgoldrunner)

=== themes/CMakeLists.txt ===




########### install files ###############

install( FILES README
	       black-on-white.desktop
	       egypt.desktop
               default.desktop
               kgr_geek.desktop
               nostalgia.desktop
               nostalgia-blues.desktop
               DESTINATION ${KDE_INSTALL_DATADIR}/kgoldrunner/themes )

install( FILES 
	default/set.svg default/actors.svg
        default/default.png
 	default/gold.ogg default/falling.ogg default/step.wav default/climb.wav
 	default/dig.ogg default/ladder.ogg default/completed.ogg
 	default/death.ogg default/gameover.ogg default/victory.ogg
	DESTINATION 
	${KDE_INSTALL_DATADIR}/kgoldrunner/themes/default )

install( FILES accessible/black-on-white-set.svg
               accessible/black-on-white-actors.svg
               accessible/black-on-white.png
               DESTINATION ${KDE_INSTALL_DATADIR}/kgoldrunner/themes/accessible )

install( FILES kgr_geek/set.svgz kgr_geek/actors.svgz
               kgr_geek/kgr_geek.png
               DESTINATION ${KDE_INSTALL_DATADIR}/kgoldrunner/themes/kgr_geek )

install( FILES nostalgia/blue-set.svg nostalgia/blue-actors.svg 
               nostalgia/set.svg nostalgia/actors.svg
               nostalgia/nostalgia.png
               nostalgia/nostalgia-blues.png
               DESTINATION ${KDE_INSTALL_DATADIR}/kgoldrunner/themes/nostalgia )

install( FILES egypt/egypt_kgr.svgz egypt/actors.svgz
               egypt/egypt.png
               DESTINATION ${KDE_INSTALL_DATADIR}/kgoldrunner/themes/egypt )

install( FILES kgoldrunner.knsrc  DESTINATION  ${KDE_INSTALL_CONFDIR} )

=== debian/changelog ===
kgoldrunner (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:09:42 +0000

kgoldrunner (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:13 +0000

kgoldrunner (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:18 +0000

kgoldrunner (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:47:56 +0000

kgoldrunner (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.2)
  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:32:39 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:19.12.3~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),

=== debian/rules ===
#!/usr/bin/make -f
l10npkgs_firstversion_ok := 4:16.04.3-2~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE_INSTALL_BINDIR=/usr/games

## kgoldrunner 20.08.1

=== debian/changelog ===
kgoldrunner (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:53:28 +0100

kgoldrunner (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:46:57 +0100

kgoldrunner (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:37:31 +0100

kgoldrunner (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 15 Jun 2020 08:12:27 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper (>= 11),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 5.30.0~),
                gettext,
                libkf5config-dev (>= 5.30.0~),
@@ -20,13 +20,14 @@
                libkf5dbusaddons-dev (>= 5.30.0~),
                libkf5doctools-dev (>= 5.30.0~),
                libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:19.12.3~),
+               libkf5kdegames-dev (>= 4:20.08.1~),
                libkf5kio-dev (>= 5.30.0~),
                libkf5widgetsaddons-dev (>= 5.30.0~),
                libkf5xmlgui-dev (>= 5.30.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner.git

## kgoldrunner 20.12.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "1")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kgoldrunner VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.10.0")
set (KF5_MIN_VERSION "5.55.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    KIO
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 4.9.0 REQUIRED)

include(FeatureSummary)
include(ECMInstallIcons)
include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

add_definitions(
    -DQT_NO_KEYWORDS
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050A00
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x053700
)
if (${KF5Config_VERSION} STRGREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()


add_subdirectory(src)
add_subdirectory(gamedata)
add_subdirectory(themes)
add_subdirectory(doc)

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES kgoldrunner.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES kgoldrunner.categories  DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== gamedata/CMakeLists.txt ===




########### install files ###############

install( FILES game_blb.txt
               game_CM.txt
               game_cnt.txt
               game_ende.txt
               game_fd.txt
               game_GMEP.txt
               game_GMGR.txt
	       game_GRII.txt
               game_kgr.txt
               game_lars.txt
               game_MAZ.txt
               game_plws.txt
               game_plwv.txt
               game_sot.txt
               game_tute.txt
               game_tutea.txt
               game_wad.txt
               hi_kgr.dat
               hi_plws.dat
               hi_plwv.dat
               hi_wad.dat
               rec_demo.txt
               rec_GMGR.txt
	       rec_GRII.txt
               sol_blb.txt
               sol_fd.txt
	       sol_kgr.txt
	       sol_plws.txt
	       sol_tute.txt
	       sol_tutea.txt
   DESTINATION ${KDE_INSTALL_DATADIR}/kgoldrunner/system )

=== debian/changelog ===
kgoldrunner (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Unregister the old /etc/xdg/kgoldrunner.knsrc conffile.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.10.0
    - bump KF packages to 5.55.0
  * Bump Standards-Version to 4.5.1, no changes required.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add the configuration for the CI on salsa.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 21:55:48 +0100

=== debian/control ===
--- 
+++ 
@@ -10,23 +10,23 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.30.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.55.0~),
                gettext,
-               libkf5config-dev (>= 5.30.0~),
-               libkf5configwidgets-dev (>= 5.30.0~),
-               libkf5coreaddons-dev (>= 5.30.0~),
-               libkf5crash-dev (>= 5.30.0~),
-               libkf5dbusaddons-dev (>= 5.30.0~),
-               libkf5doctools-dev (>= 5.30.0~),
-               libkf5i18n-dev (>= 5.30.0~),
-               libkf5kdegames-dev (>= 4:20.08.1~),
-               libkf5kio-dev (>= 5.30.0~),
-               libkf5widgetsaddons-dev (>= 5.30.0~),
-               libkf5xmlgui-dev (>= 5.30.0~),
+               libkf5config-dev (>= 5.55.0~),
+               libkf5configwidgets-dev (>= 5.55.0~),
+               libkf5coreaddons-dev (>= 5.55.0~),
+               libkf5crash-dev (>= 5.55.0~),
+               libkf5dbusaddons-dev (>= 5.55.0~),
+               libkf5doctools-dev (>= 5.55.0~),
+               libkf5i18n-dev (>= 5.55.0~),
+               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kio-dev (>= 5.55.0~),
+               libkf5widgetsaddons-dev (>= 5.55.0~),
+               libkf5xmlgui-dev (>= 5.55.0~),
                pkg-kde-tools (>= 0.14),
-               qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.10.0~),
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner

## kgoldrunner 20.12.3

=== debian/changelog ===
kgoldrunner (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:19:54 +0000

kgoldrunner (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:54:02 +0000

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.55.0~),
                libkf5doctools-dev (>= 5.55.0~),
                libkf5i18n-dev (>= 5.55.0~),
-               libkf5kdegames-dev (>= 4.9.0~),
+               libkf5kdegames-dev (>= 4:20.12.3~),
                libkf5kio-dev (>= 5.55.0~),
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),

## kgoldrunner 21.04.0

=== debian/changelog ===
kgoldrunner (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:35:28 +0100

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
                libkf5dbusaddons-dev (>= 5.55.0~),
                libkf5doctools-dev (>= 5.55.0~),
                libkf5i18n-dev (>= 5.55.0~),
-               libkf5kdegames-dev (>= 4:20.12.3~),
+               libkf5kdegames-dev (>= 4:21.04.0~),
                libkf5kio-dev (>= 5.55.0~),
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),

## kgoldrunner 21.08.0

=== debian/changelog ===
kgoldrunner (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:12:32 +0900

kgoldrunner (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Fix up libkf5kdegames-dev version.
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:06:01 +0900

=== debian/control ===
Source: kgoldrunner
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.82.0~),
               gettext,
               libkf5config-dev (>= 5.82.0~),
               libkf5configwidgets-dev (>= 5.82.0~),
               libkf5coreaddons-dev (>= 5.82.0~),
               libkf5crash-dev (>= 5.82.0~),
               libkf5dbusaddons-dev (>= 5.82.0~),
               libkf5doctools-dev (>= 5.82.0~),
               libkf5i18n-dev (>= 5.82.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5kio-dev (>= 5.82.0~),
               libkf5widgetsaddons-dev (>= 5.82.0~),
               libkf5xmlgui-dev (>= 5.82.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner.git

Package: kgoldrunner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: khelpcenter
Description: Lode Runner arcade game
 KGoldrunner is a fast-paced platform game where the player must navigate a
 maze while collecting gold nuggets and avoiding enemies.  A variety of level
 packs are included, as well as an editor to create new levels.
 .
 This package is part of the KDE games module.

## kgoldrunner 21.08.1

=== debian/changelog ===
kgoldrunner (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:33:35 +0100

kgoldrunner (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:02:13 +0100

kgoldrunner (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:55:26 +0100

kgoldrunner (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:33:51 +0100

kgoldrunner (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:43:16 +0100

kgoldrunner (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:39:55 +0100

kgoldrunner (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:06:23 +0100

=== debian/control ===
Source: kgoldrunner
Section: games
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Daniel Schepler <schepler@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Eshat Cakar <info@eshat.de>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.55.0~),
               gettext,
               libkf5config-dev (>= 5.55.0~),
               libkf5configwidgets-dev (>= 5.55.0~),
               libkf5coreaddons-dev (>= 5.55.0~),
               libkf5crash-dev (>= 5.55.0~),
               libkf5dbusaddons-dev (>= 5.55.0~),
               libkf5doctools-dev (>= 5.55.0~),
               libkf5i18n-dev (>= 5.55.0~),
               libkf5kdegames-dev (>= 4:21.08.1~),
               libkf5kio-dev (>= 5.55.0~),
               libkf5widgetsaddons-dev (>= 5.55.0~),
               libkf5xmlgui-dev (>= 5.55.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner.git

Package: kgoldrunner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Recommends: khelpcenter
Description: Lode Runner arcade game
 KGoldrunner is a fast-paced platform game where the player must navigate a
 maze while collecting gold nuggets and avoiding enemies.  A variety of level
 packs are included, as well as an editor to create new levels.
 .
 This package is part of the KDE games module.

## kgoldrunner 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kgoldrunner VERSION ${RELEASE_SERVICE_VERSION})

set (QT_MIN_VERSION "5.15.0")
set (KF5_MIN_VERSION "5.85.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Widgets)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    KIO
    WidgetsAddons
    XmlGui
)

find_package(KF5KDEGames 7.3.0 REQUIRED)

add_definitions(
    -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
    -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
    -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
)

add_subdirectory(src)
add_subdirectory(gamedata)
add_subdirectory(themes)
add_subdirectory(doc)

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kgoldrunner (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:10:40 +0000

kgoldrunner (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:17:13 +0000

kgoldrunner (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:25:07 +0000

kgoldrunner (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:22:12 +0000

kgoldrunner (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:06:25 +0000

kgoldrunner (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:17:26 +0000

kgoldrunner (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:12 +0000

kgoldrunner (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:39:58 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kgoldrunner
 Section: games
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Daniel Schepler <schepler@debian.org>,
            Sune Vuorela <sune@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -20,7 +21,7 @@
                libkf5dbusaddons-dev (>= 5.55.0~),
                libkf5doctools-dev (>= 5.55.0~),
                libkf5i18n-dev (>= 5.55.0~),
-               libkf5kdegames-dev (>= 4:21.08.1~),
+               libkf5kdegames-dev (>= 4:21.12.3~),
                libkf5kio-dev (>= 5.55.0~),
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),
@@ -29,8 +30,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgoldrunner
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgoldrunner
 
 Package: kgoldrunner
 Architecture: any

## kgoldrunner 22.08.1

=== debian/changelog ===
kgoldrunner (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:05 +0100

kgoldrunner (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:49:55 +0100

kgoldrunner (4:22.04.3-0ubuntu2) kinetic; urgency=medium

  * Remove lintian override, no longer needed

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:34:22 +0100

kgoldrunner (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:27:30 +0100

kgoldrunner (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:01:36 +0100

kgoldrunner (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:59:44 +0100

kgoldrunner (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:03 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                libkf5dbusaddons-dev (>= 5.55.0~),
                libkf5doctools-dev (>= 5.55.0~),
                libkf5i18n-dev (>= 5.55.0~),
-               libkf5kdegames-dev (>= 4:21.12.3~),
+               libkf5kdegames-dev (>= 4:22.08.1~),
                libkf5kio-dev (>= 5.55.0~),
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),

## kgoldrunner 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kgoldrunner VERSION ${RELEASE_SERVICE_VERSION})
 
-set (QT_MIN_VERSION "5.15.0")
-set (KF5_MIN_VERSION "5.85.0")
+set (QT_MIN_VERSION "5.15.2")
+set (KF5_MIN_VERSION "5.90.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED CONFIG)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -23,8 +23,10 @@
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
 include(FeatureSummary)
+include(InternalMacros)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Widgets)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Gui Widgets)
+
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Config
     ConfigWidgets
@@ -43,7 +45,7 @@
 add_definitions(
     -DQT_DISABLE_DEPRECATED_BEFORE=0x050F00
     -DQT_DEPRECATED_WARNINGS_SINCE=0x060000
-    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055600
+    -DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900
     -DKF_DEPRECATED_WARNINGS_SINCE=0x060000
 )

=== themes/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Friedrich W. H. Kossebau <kossebau@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

set(KGOLDRUNNER_INSTALL_THEMESDIR "${KDE_INSTALL_DATADIR}/kgoldrunner/themes")

function(install_theme id)
    cmake_parse_arguments(ARG "" "" "FILES" ${ARGN})
    install( FILES ${id}.desktop DESTINATION ${KGOLDRUNNER_INSTALL_THEMESDIR} )

    foreach(_file ${ARG_FILES})
        get_filename_component(_dir "${_file}" DIRECTORY)
        get_filename_component(_extension "${_file}" EXT)

        if (_extension STREQUAL ".svg")
            set(svgz "${CMAKE_CURRENT_BINARY_DIR}/${_file}z")
            generate_svgz("${_file}" "${svgz}" "theme-${_dir}-")
            set(_file "${svgz}")
        endif()
        install( FILES ${_file} DESTINATION ${KGOLDRUNNER_INSTALL_THEMESDIR}/${_dir} )
    endforeach()
endfunction()

install_theme(default
    FILES
        default/set.svg
        default/actors.svg
        default/default.png

        default/climb.wav
        default/completed.ogg
        default/death.ogg
        default/dig.ogg
        default/falling.ogg
        default/gameover.ogg
        default/gold.ogg
        default/ladder.ogg
        default/step.wav
        default/victory.ogg
)

install_theme(black-on-white
    FILES
        accessible/black-on-white-set.svg
        accessible/black-on-white-actors.svg
        accessible/black-on-white.png
)

install_theme(egypt
    FILES
        egypt/egypt_kgr.svgz
        egypt/actors.svgz
        egypt/egypt.png
)

install_theme(kgr_geek
    FILES
        kgr_geek/set.svgz
        kgr_geek/actors.svgz
        kgr_geek/kgr_geek.png
)

install_theme(nostalgia
    FILES
        nostalgia/set.svg
        nostalgia/actors.svg
        nostalgia/nostalgia.png
)

install_theme(nostalgia-blues
    FILES
        nostalgia/blue-set.svg
        nostalgia/blue-actors.svg
        nostalgia/nostalgia-blues.png
)

install( FILES README DESTINATION ${KGOLDRUNNER_INSTALL_THEMESDIR})
install( FILES kgoldrunner.knsrc  DESTINATION  ${KDE_INSTALL_DATADIR}/knsrcfiles )

=== debian/changelog ===
kgoldrunner (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:15 +0100

kgoldrunner (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:01:13 +0100

kgoldrunner (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:29 +0100

=== debian/control ===
Source: kgoldrunner
Section: games
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Daniel Schepler <schepler@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5kdegames-dev (>= 4:21.04.0~),
               libkf5kio-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.14),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://games.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner.git

Package: kgoldrunner
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: ${kde-l10n:all},
Replaces: ${kde-l10n:all},
Recommends: khelpcenter,
Description: Lode Runner arcade game
 KGoldrunner is a fast-paced platform game where the player must navigate a
 maze while collecting gold nuggets and avoiding enemies.  A variety of level
 packs are included, as well as an editor to create new levels.
 .
 This package is part of the KDE games module.

## kgoldrunner 23.08.0

=== debian/changelog ===
kgoldrunner (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:54:09 +0100

kgoldrunner (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:33:58 +0100

kgoldrunner (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:47:09 +0100

kgoldrunner (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:05 +0100

kgoldrunner (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:38:09 +0000

kgoldrunner (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:16:57 -0600

kgoldrunner (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:15:02 +0000

kgoldrunner (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Build dep on libkf5kdegames-dev (>= 4:22.12.0~)

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 20:47:19 +0000

kgoldrunner (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:09:21 +0000

kgoldrunner (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:05:39 +0000

kgoldrunner (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:50:37 +0000

kgoldrunner (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:09:04 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kgoldrunner
 Section: games
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Daniel Schepler <schepler@debian.org>,
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -18,24 +19,24 @@
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:21.04.0~),
+               libkf5kdegames-dev (>= 4:23.08.0~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.14),
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: http://games.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kgoldrunner.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgoldrunner
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kgoldrunner
 
 Package: kgoldrunner
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: ${kde-l10n:all},
-Replaces: ${kde-l10n:all},
-Recommends: khelpcenter,
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: ${kde-l10n:all}
+Replaces: ${kde-l10n:all}
+Recommends: khelpcenter
 Description: Lode Runner arcade game
  KGoldrunner is a fast-paced platform game where the player must navigate a
  maze while collecting gold nuggets and avoiding enemies.  A variety of level

## kgoldrunner 23.08.1

=== debian/changelog ===
kgoldrunner (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:59:15 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.0~),
+               libkf5kdegames-dev (>= 4:23.08.1~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),

## kgoldrunner 23.08.4

=== debian/changelog ===
kgoldrunner (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:15:23 +0000

kgoldrunner (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:34:58 +0000

kgoldrunner (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:31:15 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5dbusaddons-dev (>= 5.90.0~),
                libkf5doctools-dev (>= 5.90.0~),
                libkf5i18n-dev (>= 5.90.0~),
-               libkf5kdegames-dev (>= 4:23.08.1~),
+               libkf5kdegames-dev (>= 4:23.08.4~),
                libkf5kio-dev (>= 5.90.0~),
                libkf5widgetsaddons-dev (>= 5.90.0~),
                libkf5xmlgui-dev (>= 5.90.0~),
